Subject: Test for soil Mn, Zn, Fe and Cu

From: [email-masked] (Arend Librande)
Date: Tue, 25 Jul 1995 20:17:33 GMT

I am presently doing a directed studies course with a professor
at Carleton University.  I am examining the literature on Iron uptake in
plants, specifically, the information on phytosiderophores and their
effects.  I would like to do a mini-experiment for this paper and it would
involve determining how much plant-available Fe, Cu, Zn and Mn there is in
the soil used at the Carleton Univeristy greenhouse.  I have just read the
paper by Lindsay and Norvell (1987, Soil Sci.Soc.Am.J., 42:421-428) on a
DTPA soil test for these metals.  I would like to know if this test is
still the vogue in the scientific community or has someone come up with a
better way of doing things?  Also, is there a cheaper way of doing
this kind of test (This is only a directed studies course and I'd like to
keep expensive equipement to a minimum)?  Any help would be welcome. 
Thank-you.

--
Arend Librande
ar706